Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Public Member Functions | Static Public Member Functions | Static Public Attributes | Properties | List of all members
MadLevelManager.MadTransform Class Reference

## Public Member Functions
delegate bool | Predicate< T > (T t)

## Static Public Member Functions
static T | CreateChild< T > (Transform parent, string name, bool disabled=false)
static T | GetOrCreateChild< T > (Transform parent, string name)
static T | CreateChild< T > (Transform parent, string name, T template)
static T | GetOrCreateChild< T > (Transform parent, string name, T template)
static GameObject | CreateChild (Transform parent, string name)
static GameObject | CreateChild (Transform parent, string name, GameObject template)
static T | FindChild< T > (Transform parent)
static T | FindChild< T > (Transform parent, int depth)
static T | FindChild< T > (Transform parent, Predicate< T > predicate)
static T | FindChild< T > (Transform parent, Predicate< T > predicate, int depth)
static T | FindChildWithName< T > (Transform parent, string name)
static List< T > | FindChildren< T > (Transform parent)
static List< T > | FindChildren< T > (Transform parent, Predicate< T > predicate)
static List< T > | FindChildren< T > (Transform parent, Predicate< T > predicate, int depth)
static T | FindParent< T > (Transform t)
static T | FindParent< T > (Transform t, int depth)
static T | FindParent< T > (Transform t, Predicate< T > predicate)
static T | FindParent< T > (Transform t, int depth, Predicate< T > predicate)
static void | SetLocalScale (Transform transform, float scale)
static void | SetLocalScale (Transform transform, float x, float y, float z)
static void | SetLocalScale (Transform transform, Vector3 localScale)
static void | SetPosition (Transform transform, Vector3 position)
static void | SetLocalPosition (Transform transform, Vector3 localPosition)
static void | SetLocalEulerAngles (Transform transform, Vector3 localEulerAngles)

## Static Public Attributes
static bool | registerUndo = true
| Decides if undo should be registered. Should be set to false when creating code is done in the editor, but from the Update() function. Direct editor changed (inspector button etc.) should register the undo operation. More...

## Properties
static bool | instantiating`[get, set]`

## Member Data Documentation

bool MadLevelManager.MadTransform.registerUndo = true
| static

Decides if undo should be registered. Should be set to false when creating code is done in the editor, but from the Update() function. Direct editor changed (inspector button etc.) should register the undo operation.

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/MadCommons/MadTransform.cs